@echo off
echo -----------------------------------
echo Compiling Jpong (89)...
echo -----------------------------------
tigcc -Os -Wall -W -Wwrite-strings jpong.c extgraph.a global.c -pack pcode --remove-unused --optimize-code --cut-ranges --reorder-sections --merge-constants -DOPTIMIZE_ROM_CALLS -DUSE_TI89
copy jpong*.89y ..\89\Big\
copy jpong*.89z ..\89\Big\
tigcc -Os -Wall -W -Wwrite-strings jpong.c extgraph.a global.c -pack pcode --remove-unused --optimize-code --cut-ranges --reorder-sections --merge-constants -DOPTIMIZE_ROM_CALLS -DUSE_TI89 -DSMALL
copy jpong*.89y ..\89\Small\
copy jpong*.89z ..\89\Small\
del *.89y
del *.89z
echo -----------------------------------
echo Compiling Jpong (92+)...
echo -----------------------------------
tigcc -Os -Wall -W -Wwrite-strings jpong.c extgraph.a global.c -pack pcode --remove-unused --optimize-code --cut-ranges --reorder-sections --merge-constants -DOPTIMIZE_ROM_CALLS -DUSE_TI92PLUS
copy jpong*.9xy ..\92plus\Big\
copy jpong*.9xz ..\92plus\Big\
tigcc -Os -Wall -W -Wwrite-strings jpong.c extgraph.a global.c -pack pcode --remove-unused --optimize-code --cut-ranges --reorder-sections --merge-constants -DOPTIMIZE_ROM_CALLS -DUSE_TI92PLUS -DSMALL
copy jpong*.9xy ..\92plus\Small\
copy jpong*.9xz ..\92plus\Small\
del *.9xy
del *.9xz
echo -----------------------------------
echo Compiling Jpong (v200)...
echo -----------------------------------
tigcc -Os -Wall -W -Wwrite-strings jpong.c extgraph.a global.c -pack pcode --remove-unused --optimize-code --cut-ranges --reorder-sections --merge-constants -DOPTIMIZE_ROM_CALLS -DUSE_V200
copy jpong*.v2y ..\V200\Big\
copy jpong*.v2z ..\V200\Big\
tigcc -Os -Wall -W -Wwrite-strings jpong.c extgraph.a global.c -pack pcode --remove-unused --optimize-code --cut-ranges --reorder-sections --merge-constants -DOPTIMIZE_ROM_CALLS -DUSE_V200 -DSMALL
copy jpong*.v2y ..\V200\Small\
copy jpong*.v2z ..\V200\Small\
del *.v2y
del *.v2z
echo -----------------------------------
echo Compiling Jpong (Universal)...
echo -----------------------------------
tigcc -Os -Wall -W -Wwrite-strings jpong.c extgraph.a global.c -pack pcode --remove-unused --optimize-code --cut-ranges --reorder-sections --merge-constants -DOPTIMIZE_ROM_CALLS -DUSE_TI92PLUS -DUSE_V200 -DUSE_TI89
copy jpong*.9xy ..\Universal\Big\
copy jpong*.89y ..\Universal\Big\
copy jpong*.v2y ..\Universal\Big\
tigcc -Os -Wall -W -Wwrite-strings jpong.c extgraph.a global.c -pack pcode --remove-unused --optimize-code --cut-ranges --reorder-sections --merge-constants -DOPTIMIZE_ROM_CALLS -DUSE_TI92PLUS -DUSE_V200 -DUSE_TI89 -DSMALL
copy jpong*.9xy ..\Universal\Small\
copy jpong*.89y ..\Universal\Small\
copy jpong*.v2y ..\Universal\Small\
del *.9xz
del *.v2z
del *.89z
tigcc -Os ttstart-universal.o --varname jpong
copy /b ttstart-universal.89z ..\Universal\Small\jpong.89z
copy /b ttstart-universal.89z ..\Universal\Big\jpong.89z
copy /b ttstart-universal.9xz ..\Universal\Small\jpong.9xz
copy /b ttstart-universal.9xz ..\Universal\Big\jpong.9xz
copy /b ttstart-universal.v2z ..\Universal\Small\jpong.v2z
copy /b ttstart-universal.v2z ..\Universal\Big\jpong.v2z
del *.9xy
del *.9xz
del *.v2y
del *.v2z
del *.89y
del *.89z
pause
@echo on